This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 440293 - Another error in sending back a message to the client when they run out of entitlements
Another error in sending back a message to the client when they run out of en...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Backend (Show other bugs)
RHN Stable
All Linux
low Severity low
: ---
: ---
Assigned To: Bryan Kearney
Amy Owens
US=20401
:
Depends On:
Blocks: 443075
  Show dependency treegraph
 
Reported: 2008-04-02 13:28 EDT by James Bowes
Modified: 2013-01-10 04:58 EST (History)
2 users (show)

See Also:
Fixed In Version: 5.0.6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-26 16:21:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description James Bowes 2008-04-02 13:28:46 EDT
Aowens generated the following traceback while registering against QA with no
free entitlements:

Traceback (most recent call last):
  File "/usr/share/rhn/server/apacheRequest.py", line 106, in call_function
    response = func(*params)
  File "/usr/share/rhn/server/handlers/xmlrpc/registration.py", line 554, in new
_system_user_pass
    other)
  File "/usr/share/rhn/server/handlers/xmlrpc/registration.py", line 391, in _cr
eate_system
    err_msg = _generate_channel_ent_err_mesg(channel_error)
  File "/usr/share/rhn/server/handlers/xmlrpc/registration.py", line 1428, in _g
enerate_channel_ent_err_mesg
    cid = channel_error.channel['id']
TypeError: unsubscriptable object

channel_error is an rhnChannel.SubscriptionCountExceeded Exception. self.channel
on the exception is None. Maybe it is set by something else along the way, but
not in this case.
Comment 1 Amy Owens 2008-04-02 14:40:22 EDT
added to backlog
Comment 2 James Bowes 2008-04-21 08:25:43 EDT
To test:
  * you need an account with enough management/update entitlements, but not enough  
    channel level entitlements. using 1 WAR0086 sku should do it.
  * Repeatedly register your system till you are out of channel level
entitlements, but still have a management entitlement.
  * register again. this time you should get an error detailing what channel you
were trying to be subscribed to, and saying you didn't have enough software
channel entitlements.
Comment 3 Amy Owens 2008-04-21 12:01:04 EDT
all set on dev (will add to test cases):
Problem registering system:                ↑ │                
                │                                            ▮ │                
                │ Error Message:                             ▒ │                
                │     Insufficient Software Channel          ▒ │                
                │ Entitlements:                              ▒ │                
                │                                            ▒ │                
                │     cfid5488  Red Hat Enterprise Linux     ▒ │                
                │ (core server)                              ▒ │                
                │                                            ▒ │                
                │ note: One of the above Software Channel    ▒ │                
                │ Entitlement(s) are required                ▒ │                
                │ to provides access to: cid6949 Red Hat 
Comment 4 Amy Owens 2008-06-17 16:22:10 EDT
ok in qa now:
Error Message:
    Insufficient Software Channel Entitlements:
 
    cfid5488  Red Hat Enterprise Linux (core server)

note: One of the above Software Channel Entitlement(s) are required
to provides access to: cid6949 Red Hat Enterprise Linux (v. 5 for 32-bit x86)
Error Class Code: 70
Error Class Info: 
     All available subscriptions for the requested channel have been exhausted.
     Please contact a Red Hat Network Sales associate.
Explanation: 
     An error has occurred while processing your request. If this problem
     persists please enter a bug report at bugzilla.redhat.com.
     If you choose to submit the bug report, please be sure to include
     details of what you were trying to do when this error occurred and
     details on how to reproduce this problem.

Note You need to log in before you can comment on or make changes to this bug.